Package be.vlaanderen.mercurius.mohm.common.v7

# Class ConsultSupportAndRepairAcceptedType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.ConsultSupportAndRepairAcceptedType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ConsultSupportAndRepairAcceptedType extends Object implements Serializable
Generiek type voor positief antwoord op ontvangst van een consultatie van onderhoud en herstel.

Java class for ConsultSupportAndRepairAcceptedType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultSupportAndRepairAcceptedType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ApplicationView" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairViewType"/>
             <element name="HistoryStatus" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}StatusListType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultSupportAndRepairAcceptedType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SupportAndRepairViewType`
  `getApplicationView()`
  Beperkt beeld van de aanvraag.
  `StatusListType`
  `getHistoryStatus()`
  Historiek van de statussen van de aanvraag.
  `void`
  `setApplicationView(SupportAndRepairViewType value)`
  Sets the value of the applicationView property.
  `void`
  `setHistoryStatus(StatusListType value)`
  Sets the value of the historyStatus property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultSupportAndRepairAcceptedType

    public ConsultSupportAndRepairAcceptedType()

- ## Method Details

  - ### getApplicationView

    public SupportAndRepairViewType getApplicationView()
    Beperkt beeld van de aanvraag.
    Returns:
      possible object is `SupportAndRepairViewType`

  - ### setApplicationView

    public void setApplicationView(SupportAndRepairViewType value)
    Sets the value of the applicationView property.
    Parameters:
      `value` - allowed object is `SupportAndRepairViewType`
    See Also:
      - `getApplicationView()`

  - ### getHistoryStatus

    public StatusListType getHistoryStatus()
    Historiek van de statussen van de aanvraag.
    Returns:
      possible object is `StatusListType`

  - ### setHistoryStatus

    public void setHistoryStatus(StatusListType value)
    Sets the value of the historyStatus property.
    Parameters:
      `value` - allowed object is `StatusListType`
    See Also:
      - `getHistoryStatus()`